Fri Nov 17 16:08:43 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * performace-tests/Protocols/common/Protocols_svnt_export.h:

          Removed this file, renamed as the one added below.

        * performace-tests/Protocols/common/Protocols_skel_export.h:

          New file, renamed from the one removed above.

        * performace-tests/Protocols/Sender/Sender.idl:
        * performace-tests/Protocols/Sender/Sender.mpc:
        * performace-tests/Protocols/Receiver/Receiver.mpc:
        * performace-tests/Protocols/Receiver/Receiver.idl:
        * performace-tests/Protocols/common/Protocols.mpc:
        * performace-tests/Protocols/common/Protocols.idl:

          Fixes to incorrect generation by generate_component_mpc.pl,
          similar to those in

          Wed Nov 15 19:56:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

          Also removed include of Components.idl from Protocols.idl,
          since it contains no component or eventtype declarations,
          and added the include to Sender.idl and Receiver.idl.

Thu Nov 16 14:41:24 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Bug_2130_Regression/interfaces/ENW_svnt_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_svnt_export.h:

          Removed these files, added as renamed below.

        * tests/Bug_2130_Regression/interfaces/ENW_skel_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_skel_export.h:

          New files, renamed from those removed above.

        * tests/Bug_2130_Regression/interfaces/ENW.mpc:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.mpc:
        * docs/tutorials/Quoter/Simple/Broker/Broker.mpc:

          Fixes to incorrect generation by generate_component_mpc.pl,
          similar to those in

          Wed Nov 15 19:56:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Wed Nov 15 19:56:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Display/Display_Base/Display_Base_svnt_export.h:

          Removed this file, and added it as named below.

        * examples/Display/Display_Base/Display_Base_skel_export.h:

          New file, renamed from the one removed above.

        * examples/Display/Display_Base/Display_Base.mpc:

          Fixed incorrect export macros that were originally generated
          by generate_component_mpc.pl. Also removed the -GT IDL
          compiler command line option, which generated unnecessar
          tie classes and template files (added by a base MPC project),
          and made cosmetic changes to line breaks. Finally,
          renamed project Display_Base_svnt to Display_Base_skel,
          to eliminate confusion since the projects in this MPC
          file are object-based, not component-based. The export
          macros and export include files were also renamed, as
          described above, consistently with these last changes.

        * examples/GPS/GPS.mpc:
        * examples/NavDisplay/NavDisplay.mpc:
        * examples/RateGen/RateGen.mpc:

          Renamed references to the Display_Base_svnt lib to be
          consistent with the name change above, removed -GT
          from the command line options passed to the IDL compiler,
          and added -SS (suppress skeleton file generation) and
          -St (suppress typecode and Any operator generation) from
          *_svnt projects, and removed 'idlflags' line from
          *_exec projects without IDL files.

Wed Nov 15 10:30:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * NEWS:

          Entries submitted by Shanshan Jiang and Johnny Willemsen.

Tue Nov 14 16:27:55 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Null_Component/Null_Component.mpc:

          Updated lib names in 'libs +=...' lines, overlooked in

          Mon Nov 13 16:54:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Tue Nov 14 09:00:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * NEWS:

          Entry submitted by Boris Kolpackov.

Mon Nov 13 16:54:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Null_Component/Null_Interface_svnt_export.h:

          Removed this file, renamed as below.

        * examples/Null_Component/Null_Interface_skel_export.h:

          Added this file, renamed from removed file above.

        * examples/Null_Component/Null_Interface.mpc:

          Renamed several things corresponding to the renaming
          change above and replace export macro definition in
          the skel project with separate stub and skel export
          macro definitions and corresponding included. Also
          added typecode/Any suppression command line option
          -St to IDL compiler execution for both stub and skel
          projects, and reduced MPC base project dependencies
          (and thus link dependencies) to a minimum.

        * examples/Null_Component/Null_Component.mpc:
        * examples/Null_Component/StaticDAnCEApp.mpc:

          Renamed items corresponding to change above.

Fri Nov 10 16:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Sender/Sender.mpc:
          Removed deprecated -Sc option from idlflags

Wed Nov  8 20:56:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Null_Component/*:
          Added some modelling files I got also from Abdul and removed the .ccd file
          I committed by accident

Wed Nov  8 14:24:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
          Fixed a small memory leaks and other problems. This fixes bugzilla
          2692. Thanks to Sowayan Abdullah <abdullah dot sowayan at lmco dot com>
          for reporting these issues.

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp:
          A few small improvements

Sun Nov  5 19:16:57 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
          Removed the use of STL iostream.
          Use ACE DLL decorator, prefix, suffix for DLL file names.

        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
          Removed the use of STL iostream.

Fri Nov  3 03:03:24 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/RepositoryManager/PC_Updater.cpp
          Modified these files to differentiate the location field of
          deploymentplan for different platforms.

Thu Nov  2 22:54:12 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServnatSourceGenerator.cpp:

          Added generation of code to register eventtype factories with
          the container ORB for components with publish and emit ports
          (generation of such registration for components with consume
          ports already existed). This additional registration is necessary
          if the component sends an event using a CIAO Event Service
          event channel that is collocated with it.

Thu Nov  2 20:22:46 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp (main):
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp (main):
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp (main):
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCE/NodeManager/Node_Manager.cpp (main): Replaced exit() with
          ACE_OS::exit().  Thanks to Abdul Sowayan for reporting this.
          This fixes bugid #2695.

Mon Oct 30 19:13:03 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL3/Events/Any/EventAny.idl:
        * tests/IDL3/Events/Any/Any.mpc:
        * tests/IDL3/Events/Any/main.cpp:
        * tests/IDL3/Events/Any/README:
        * tests/IDL3/Events/Any/run_test.pl:

          New test, to ensure that IDL eventtypes are
          inserted/extracted from Anys correctly, and that
          the resulting Anys are marshaled/demarshaled
          correctly.

        * tests/IDL3/Events/Regular/Regular.mpc:

          Added backslashes to shorted 'idlflags' line.

Mon Oct 30 13:26:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * DAnCE/TargetManager/CmpClient.cpp
          BUILDCZAR removing old scoreboard warning.

Thu Oct 26 14:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

    * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
          Use ACE_OS methods, this fixes bugzilla 2691.
          Thanks to Sowayan Abdullah <abdullah dot sowayan at lmco dot com>
          for reporting this issue

Wed Oct 25 14:54:03 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * CCF/CCF/IDL2/SemanticAction/Impl/Const.cpp:
        * CCF/CCF/CIDL/SemanticAction/Composition.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Uses.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Provides.cpp:
        * CCF/CCF/IDL3/SemanticAction/Component.hpp:
        * CCF/CCF/IDL3/SemanticAction/EventType.hpp:
        * CCF/CCF/IDL3/SemanticAction/Home.hpp:

          Minor fixes and cleanups.

        * CCF/CCF/IDL2/Parsing/Recovery.hpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/Parser.cpp:
        * CCF/CCF/CIDL/Parser.hpp:
        * CCF/CCF/CIDL/Parser.cpp:
        * CCF/CCF/IDL3/Parser.hpp:
        * CCF/CCF/IDL3/Parser.cpp:

          Added syntax errors to every grammar rule.

Wed Oct 25 11:02:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Null_Component/StaticDAnCEApp.mpc:
          Enabled this project in all builds

Mon Oct 23 19:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Added missing CORBA::string_dup to fix crash with BCB

Fri Oct 20 06:41:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
          Changed the HomeAttributes generation in such a way that it
          also compiles with BCB6

        * examples/Null_Component/*:
          New example, a component with just one interface. This can be used
          to analyze the core footprint and see what we can reduce
          Thanks to Sowayan Abdullah <abdullah dot sowayan at lmco dot com>
          for creating this example

Thu Oct 19 23:22:49 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.mpc
          Modified this file to make sure RepositoryManager project is built
          after minizip project.

Thu Oct 19 10:47:12 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp
        * examples/BasicSP/EC/controller.cpp
        * examples/Display/RateGen/controller.cpp
        * tests/Bug_2130_Regression/SEC_CheckPoint/controller.cpp
          Changed the naked atoi () to ACE_OS::atoi (), again thanks to Abdul
          for reporiting this.

Wed Oct 18 14:00:04 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/Distributor/Distributor.cpp
          (parse_args): Changed the naked atoi() to ACE_OS::atoi().
          Thanks to Abdul for reporting this.

Wed Oct 18 12:05:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * DAnCE/TargetManager/DomainDataManager.cpp
          Removed warnings about unused local variables (line 186 & 558)

Wed Oct 18 09:50:00 UTC 2006  Simon Massey  <sma@prismtech.com>

        * DAnCE/TargetManager/CmpClient.cpp
          Removed warning about unused local variable (line 154)

Tue Oct 17 21:23:27 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/README
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/RepositoryManager/ZIP_Wrapper.h
          Updated these files to use minizip under $ACE_ROOT/contrib/minizip.

Tue Oct 17 13:40:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
          Several small layout changes and use ACE_ERROR for
          errors

Tue Oct 17 13:30:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/RTNodeApp_Configurator.{h,cpp}:
          Moved destructor implementation to cpp file

Tue Oct 17 13:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/CIAO_Monitor.h:
          Doxygen improvements

        * DAnCE/NodeManager/NAM_Map.{h,cpp}:
          Made is_available a const method

        * DAnCE/NodeManager/Node_Manager.cpp:
          Use bool

        * DAnCE/NodeManager/Node_Manager_Impl.cpp:
          Use ACE_ERROR together with LM_ERROR

Tue Oct 17 12:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
          Use ACE_ERROR together with LM_ERROR

        * DAnCE/NodeApplication/NodeApplication_Impl.inl:
          Initialise pointers with 0

        * DAnCE/NodeApplication/Configurator_Factory.{h,cpp}:
        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Core.cpp:
          Use bool and const improvements, doxygen improvements

Mon Oct 16 19:52:15 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
          Updated the re_launch_plan () function for Repoman integration.

        * DAnCE/RepositoryManager/README
        * DAnCE/RepositoryManager/RepositoryManager.cpp
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * examples/BasicSP/RepoMan_Usage.html
          Fixed some warnings on Liunx.
          Fixed the "Deamon" typos.

Mon Oct 16 15:11:40 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TM_Client.mpc:
          Fixed the linking error in Mac and in FC5 Static

Mon Oct 16 11:20:00 UTC 2006  Simon Massey  <sma@prismtech.com>

       * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
         BUILD CZAR. Due to the removal of
         DAnCE/NodeApplication/NodeApp_Configurator.cpp to correct
         the fuze error below, this "other" project's MPC needed to
         be updated. (Why is this dependancy here?)

Mon Oct 16 11:20:00 UTC 2006  Simon Massey  <sma@prismtech.com>

       * DAnCE/NodeApplication/NodeApp_Configurator.cpp
       * DAnCE/TargetManager/DomainEvents.idl
         BUILD CZAR. Removed Fuzz errors after no user action to correct.

Mon Oct 16 08:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/ADD_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/IDREF_Base.cpp:
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/RT-CCM/PS_Handler.cpp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec.cpp
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec.cpp
        * DAnCE/RepositoryManager/
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          Use ACE_ERROR together with LM_ERROR

        * RACE/Controller/Component/Controller.idl:
          Changed some comments to doxygen style

        * DAnCE/RepositoryManager/PC_Updater_T.cpp:
          Const change

        * DAnCE/RepositoryManager/RepositoryManager.cpp:
          Layout changes

        * DAnCE/RepositoryManager/RM_Helper.cpp:
          Use strcmp to compare two strings and several layout changes

        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
          Doxygen changes

        * DAnCE/RepositoryManager/RMadmin.cpp:
          Documentation changes

        * DAnCE/RepositoryManager/URL_Parser.{h,cpp}:
          Use bool for debug_

        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:
          Initialise pointers with 0

Mon Oct 16 08:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEApp.mpc.tmpl:
          Simplified this file by using the new ciao_static_dnc_app base
          project.

Fri Oct 13 17:57:12 2006  John S. Kinnebrew  <john.s.kinnebrew@vanderbilt.edu>

        * docs/schema/SANet_Network.xsd
        * docs/schema/Task_Map.xsd

        Added SA-POP schemas.

Fri Oct 13 17:54:58 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.mpc:
          Addressed the problems coming up in Mac. Changed the project
          inheritence of the TM Component.

Fri Oct 13 17:43:29 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/DomainDataManager.cpp:
          Addressed an error in the last check-in.

Thu Oct 12 17:36:58 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/DomainEvents.idl:
        * DAnCE/TargetManager/TM_Client.mpc:
        * DAnCE/TargetManager/TargetManager.idl:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManagerExt.idl:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Added the functionality to detect any add/delete to the Domain.
          Added the feature to relay events to anyone interested for the above.

        * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:
          Changed the test script to test the above

Tue Oct 10 19:13:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEApp.cpp.tmpl:
          Fixed compile error.
          Thanks to Sowayan Abdullah <abdullah dot sowayan at lmco dot com>
          for reporting this.

Tue Oct 10 17:56:51 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
          Modify these files to get the artifacts names when using http reference.

Tue Oct 10 14:24:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
          Layout improvements, use ACE_ERROR with LM_ERROR

        * DAnCE/ExecutionManager/DAM_Map.cpp:
          Const improvements

        * DAnCE/NodeApplicationManager/Containers_Info_Map.h:
          Layout changes

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Use ACE_ERROR with LM_ERROR

        * DAnCE/NodeApplicationManager/ImplementationInfo.h:
          Documentation improvements

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp:
          Const improvements

        * DAnCE/NodeApplicationManager/HTTP_Handler.cpp:
          Const improvements

Tue Oct 10 09:28:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Base.idl:
          Removed a remark about RTF 1.1, method is now according to the spec

        * ciao/CCM_Component.idl:
        * ciao/CCM_Container.idl:
        * ciao/CCM_Event.idl:
        * ciao/Deployment.idl:
        * ciao/Target_Data.idl
          Updated some documentation and added some todos about things which
          are CIAO specific

        * ciao/Server_init.cpp:
          With LM_ERROR use ACE_ERROR

        * ciao/Dynamic_Component_Activator.{h,cpp}:
          Removed some invalid comments and a mutex that was not used at all

        * ciao/Context_Impl_Base.h:
          Documentation update

Thu Oct 05 00:35:37 2006  William R. Otte  wotte@dre.vanderbilt.edu

        * CIAO version 0.5.3 released.

Wed Oct  4 08:12:24 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * NEWS:

          Updated with entries for the CIDL compiler work.

Tue Oct  3 15:16:40 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * NEWS:

          Updated the NEWS to add the changes for Repoman and Plan_Generator
          projects.

Tue Oct  3 12:49:16 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * NEWS:

          Updated the NEWS to add the changes for CoSMIC Quoter tutorial

Mon Oct  2 09:28:58 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/index.html:
          Corrected linked to OMG spec

Mon Oct  2 08:58:58 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Set the nodemanager in the static nodeapplication manager.
          Thanks to Sowayan Abdullah <abdullah dot sowayan at lmco dot com>
          for reporting this.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
          Doxygen improvement

Thu Sep 28 16:47:58 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        Added the base projects to Plan_Launcher_Impl project to include
        required libs. Added null head files to the Plan_Launcher project to
        remove the unnecessary dependency on other libs.

Thu Sep 28 15:57:53 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        Fixed the "undefined reference" error on FC5_Static build.

        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp:
        Modified this file to handle the possible RepoMan null reference error.

Tue Sep 26 21:05:48 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        Fixed the "conversion from '_var' to 'CORBA::Object*'" warning.

Tue Sep 26 15:52:12 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * docs/tutorials/Quoter/Simple/Broker/Broker.cidl:
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.cidl:

        Added missing semicolons.

Mon Sep 25 23:19:15 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        Modified the fetch_reference_naming () to remove its arguments related
        to Repoman.

        * DAnCE/Plan_Generator/PCVisitor.h:
        Adjusted the order of the data members of Plan_Generator_i class.


Mon Sep 25 19:46:37 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/Plan_Generator/Plan_Generator.mpc (project): Fixed the MPC
          file by removing the "requires += RepositoryManager" as this
          project, as well as other projects that depend on this, will not
          be built unless RepositoryManager=1 is set.

Mon Sep 25 14:42:03 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc: Fixed the mpc file.

Mon Sep 25 13:06:05 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * CCF/CCF/IDL2/SemanticAction/Operation.cpp:
        * CCF/CCF/IDL2/SemanticAction/Operation.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/CIDL/SemanticAction/Composition.cpp:
        * CCF/CCF/CIDL/SemanticAction/Composition.hpp:

        Move some operator<< operators to the global scope so that they
        do not hide others.

Sun Sep 24 21:06:07 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        Removed the unnecessary Repoman head file.

Sat Sep 23 04:31:13 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/RMadmin.cpp
        * ciao/RepositoryManager.idl
        Added the replace argument in installPackage () and createPackage ()
        functions and extend the functionalities of these two functions based
        on the latest D&C spec.

Sat Sep 23 04:07:59 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Generator
        * DAnCE/Plan_Generator/PCVisitor.cpp
        * DAnCE/Plan_Generator/PCVisitor.h
        * DAnCE/Plan_Generator/PCVisitorBase.cpp
        * DAnCE/Plan_Generator/PCVisitorBase.h
        * DAnCE/Plan_Generator/PCVisitorBase.inl
        * DAnCE/Plan_Generator/Plan_Generator.mpc
        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp
        * DAnCE/Plan_Generator/Plan_Generator_Impl.h
        * DAnCE/Plan_Generator/Plan_Generator_Impl_Export.h
        Added these files which implement the Plan_Generator project. This
        project is used to retrieve information from Repoman and generate/modify
        DeploymentPlans based on different demands.

        * DAnCE/Planner
        * DAnCE/Planner/Node_T.cpp
        * DAnCE/Planner/Node_T.h
        * DAnCE/Planner/Node_T.inl
        * DAnCE/Planner/PCVisitor.cpp
        * DAnCE/Planner/PCVisitor.h
        * DAnCE/Planner/PCVisitorBase.cpp
        * DAnCE/Planner/PCVisitorBase.h
        * DAnCE/Planner/PCVisitorBase.inl
        * DAnCE/Planner/Planner.cpp
        * DAnCE/Planner/Planner.mpc
        Deleted these files. The planner project has been replaced by the more
        useful Plan_Generator project.

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        Modified these files.

        * DAnCE/Plan_Generator/PCVisitor.cpp
        * DAnCE/Plan_Generator/PCVisitor.h
        * DAnCE/Plan_Generator/PCVisitorBase.cpp
        * DAnCE/Plan_Generator/PCVisitorBase.h
        * DAnCE/Plan_Generator/PCVisitorBase.inl
        Deleted these files.
        Removed the Plan_Launcher's dependence on RepoMan. Use Plan_Generator
        to retrieve information from Repoman and generate/modify DeploymentPlans.

Fri Sep 22 09:27:25 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * CCF/CCF/IDL2/SemanticGraph/Fundamental.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Interface.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Operation.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Interface.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Operation.hpp:
        * CCF/CCF/IDL2/SemanticGraph/String.cpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueTypeMember.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Enum.hpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.cpp:
        * CCF/CCF/IDL2/SemanticGraph/String.hpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueTypeMember.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueType.cpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.hpp.m4:
        * CCF/CCF/IDL2/SemanticGraph/ValueType.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Native.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Exception.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Translation.hpp:
        * CCF/CCF/IDL2/SemanticGraph/TypeId.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Graph.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Member.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.cpp.m4:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Literals.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Graph.tpp:
        * CCF/CCF/IDL2/SemanticGraph/Literals.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Struct.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Module.hpp:

        * CCF/CCF/CIDL/SemanticGraph/Executor.cpp:
        * CCF/CCF/CIDL/SemanticGraph/Composition.cpp:
        * CCF/CCF/CIDL/SemanticGraph/Executor.hpp:
        * CCF/CCF/CIDL/SemanticGraph/Composition.hpp:

        * CCF/CCF/IDL3/SemanticGraph/Component.cpp:
        * CCF/CCF/IDL3/SemanticGraph/EventType.cpp:
        * CCF/CCF/IDL3/SemanticGraph/Component.hpp:
        * CCF/CCF/IDL3/SemanticGraph/EventType.hpp:
        * CCF/CCF/IDL3/SemanticGraph/Home.hpp:


        Add file name and line information to every semantic
        graph node. This information is used in diagnostics.


        * CCF/CCF/IDL2/SemanticAction/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/NumericExpression.hpp:

        Adjust semantic actions interface to provide a way to derive
        line numbers.


        * CCF/CCF/IDL2/SemanticAction/Impl/Operation.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Interface.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Enum.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Operation.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeMember.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueType.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Native.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Union.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Exception.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/TypeId.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeFactory.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Member.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Include.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Struct.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Module.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Const.cpp:

        * CCF/CCF/IDL3/SemanticAction/Impl/Publishes.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Component.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventTypeFactory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Uses.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFinder.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFactory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Emits.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventType.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Include.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Home.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Include.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Provides.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Consumes.cpp:

        * CCF/CCF/CIDL/SemanticAction/Impl/Composition.cpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/HomeExecutor.cpp:

        Propagate file name and line number from tokens to semantic
        graph nodes. Use file and line numbers when printing error
        messages.


        * CCF/CCF/IDL2/Token.hpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/Parser.cpp:

        Fix a number of bugs in error handling and recover.


        * CIDLC/cidlc.cpp:

        Use file name and line number when creating the translation
        unit object.


Wed Sep 20 04:05:42 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * docs\tutorials\CoSMIC\02.html

        Added some useful links to various resources to help readers reduce
        learning curve.Added a small section that mentions that a Node Map file
        has to be created in order to get Quoter example working. Again,
        Thanks to Sowayan Abdullah from LMCO for his help in improving the
        cosmic documentations.


Mon Sep 18 03:26:22 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.h

          Fixed compile error by removing extra ;.

Fri Sep 15 21:28:47 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * ciao/Deployment_Core.idl

          Removed the unnecessary event type definition for RTEC since
          they are no longer used.

Sun Sep 10 09:20:18 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.cpp
        * tools/Config_Handlers/Utils/XML_Helper.h

          Removed workaround from previous commit, as Ossama Othman has
          provided the proper fix in the G++ macros.

Fri Sep  8 00:28:27 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.cpp
        * tools/Config_Handlers/Utils/XML_Helper.h

          Made the export declaration on the singleton typedef
          contingent on a Microsoft compiler, as the GCC included
          with FC5 was not defining the symbol as a result.

Fri Sep  1 03:09:38 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * docs\tutorials\CoSMIC\index.html
        * docs\tutorials\CoSMIC\01.html

        Updated index.html to change the cosmic version.Updated 01.html
        to reflect recent changes of idl_to_picml. Thanks to Sowayan Abdullah
        from LMCO for his help in improving the cosmic documentations.

Thu Aug 31 22:45:09 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.mpc
          Modified this file to include $(CIAO_ROOT)/tools/Config_Handlers
          in the RMAdmin project.

Wed Aug 30 17:16:18 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
          Added more changes to this file to fix the "reference to
          ACE_Singleton<CIAO::Config_Handlers::XML_Helper, ACE_Null_Mutex>
          ::instance()'"warnings with FC5_Static build.

Tue Aug 29 23:08:20 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
          Fixed the "reference to `ACE_Singleton<CIAO::Config_Handlers
          ::XML_Helper, ACE_Null_Mutex>::instance()'"warnings with
          FC5_Static build.

        * DAnCE/RepositoryManager/RMadmin.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
          Removed unnecessary using of CIAO::Config_Handlers::XML_Helper.

Mon Aug 28 12:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.cpp:
          Fixed some compile warnings with gcc 2.96

Thu Aug 24 15:44:08 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
          Changed some of the command-line options.

        * examples/BasicSP/RepoMan_Usage.html
          Made some minor changes.

Thu Aug 24 000:41:16 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/PCVisitor.cpp
        * DAnCE/Plan_Launcher/PCVisitor.h
        * DAnCE/Plan_Launcher/PCVisitorBase.cpp
        * DAnCE/Plan_Launcher/PCVisitorBase.h
          Solved the "'class has virtual functions but non-virtual destructor"
          warnings.

Wed Aug 23 17:57:15 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/PCVisitorBase.h
          Solved the "invalid use of undefined type 'struct PCVisitorBase'"
          warnings.

Wed Aug 23 15:22:36 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/PCVisitor.cpp
          Solved the "unused parameter" warning.

Wed Aug 23 000:04:06 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/README
          Made some minor changes.

Wed Aug 23 000:00:43 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * examples/BasicSP/descriptors/basicNodeDaemon.pl
          Use "$ENV{'ACE_ROOT'}/bin" to point to the location of lib file.

Tue Aug 22 23:47:06 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
          Modified these files for RepoMan integration.

        * DAnCE/Plan_Launcher/PCVisitor.cpp
        * DAnCE/Plan_Launcher/PCVisitor.h
        * DAnCE/Plan_Launcher/PCVisitorBase.cpp
        * DAnCE/Plan_Launcher/PCVisitorBase.h
        * DAnCE/Plan_Launcher/PCVisitorBase.inl
          Added these files for RepoMan integration.

        * examples/BasicSP/RepoMan_Usage.html
          Added this file, which explains how to run the BasicSP example using
          the integrated RepoMan.

Mon Aug 21 15:19:25 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl: Fixed the
          environment variable DANCE_ROOT to point to CIAO_ROOT/DAnCE.

Thu Aug 17 16:09:09 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/Options.cpp
        * DAnCE/RepositoryManager/RMadmin.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
          Reimplemented the findNamesByType () and getAllTypes () operations
          of Repository Manager, which use the newly generated
          ACE_Hash_MultiMap_Manager class and its corresponding classes.

Mon Aug 14 15:46:34 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.h

          Fixed a compile error for pedantic GCC4.

Sun Aug 13 15:18:00 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * CCF/CCF/CodeGenerationKit/Regex.hpp:

          Reimplemented regex wrapper to allow building CIDLC on
          platforms without wchat_t support (e.g., Cygwin/Mingw).

Fri Aug 11 11:46:17 UTC 2006  Boris Kolpackov  <boris@codesynthesis.com>

        * CCF/CCF/IDL2/SemanticGraph/Name.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.hpp:

          Added support for IDL (underscore) escaping. Added support
          for custom name printers.

        * CIDLC/UnescapedNamePrinter.hpp:

          Name printer that prints names unescaped (without the IDL
          underscore).

        * CIDLC/CxxNamePrinter.cpp:
        * CIDLC/CxxNamePrinter.hpp:

          Name printer that escapes C++ keywords.

        * CIDLC/CorbaTypeNameEmitters.cpp:
        * CIDLC/DescriptorGenerator.cpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/RepositoryIdGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/ExecImplGenerator.cpp:
        * CIDLC/UtilityTypeNameEmitters.cpp:
        * CIDLC/ServantGenerator.cpp:
        * CIDLC/CompositionEmitter.cpp:

          Updated to handle IDL and C++ name escaping. This fixes
          bugzilla bug #2427.

Fri Aug 11 07:30:35 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.h
        * DAnCE/RepositoryManager/RMadmin.cpp

          Fixes for a compiler error in the version of GCC shipped with
          FC5.

Wed Aug  9 18:53:48 UTC 2006  Jaiganesh B  <jai.dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp:
          DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
          DAnCE/NodeApplication/RTNodeApp_Configurator.cpp:
          examples/Hello/descriptors_RTCCM/rt-example.cdp:
          examples/Hello/descriptors_RTCCM/rt-config-example.csr:

        Fixed the RT-CCM code to conform to the schema changes. Made changes
        to the descriptors directory to fix the working example for RT-CCM.

        Thanks to Nanbor Wang for helping fix the codebase.

Tue Aug  8 07:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO-INSTALL.html:
          Removed vc6 info

Fri Aug  4 21:40:46 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorials/CoSMIC/01.html
        * docs/tutorials/CoSMIC/02.html
        * docs/tutorials/CoSMIC/03.html
        * docs/tutorials/CoSMIC/04.html
        * docs/tutorials/CoSMIC/style.css
        * docs/tutorials/CoSMIC/index.html

          Style fixes, grammatical and spelling corrections, clarifications.

Thu Aug  3 20:38:39 UTC 2006  Nanbor Wang  <nanbor (at) txcorp (dot) com>

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp:
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:

          Fixed RT-CCM support.

Thu Aug  3 15:33:11 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * docs/cidlc.html:

          Regenerated to include the -D and -I options.

Wed Aug  2 18:52:14 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/CodeGenerationKit/CommandLineDescriptor.hpp:

          Added option types: flag or value.

        * CCF/CCF/CodeGenerationKit/CommandLineParser.cpp:
        * CCF/CCF/CodeGenerationKit/CommandLineParser.hpp:
        * CCF/CCF/CodeGenerationKit/CommandLine.hpp:

          Reimplemented to use hand-coded parser instead of Spirit. The
          new implementation takes into account the option types.

        * CCF/CCF/CodeGenerationKit/CommandLineGrammar.hpp:
        * CCF/CCF/CodeGenerationKit/CommandLineGrammar.cpp:

          Removed.

        * CIDLC/cidlc.cpp:
        * CIDLC/ServantGenerator.hpp:
        * CIDLC/ServantGenerator.cpp:
        * CIDLC/DescriptorGenerator.hpp:
        * CIDLC/DescriptorGenerator.cpp:
        * CIDLC/ExecutorMappingGenerator.hpp:
        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/ExecImplGenerator.cpp:
        * CIDLC/ExecImplGenerator.hpp:

          Updated with the option types. This fixes bugzilla bug #2426.


Fri Jul 28 17:53:57 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/SemanticGraph/Translation.cpp:

          Reimplemented a chunk of code that resulted in what appears to
          be invalid code generation by the Intel C++ compiler. This
          fixes bugzilla bug #2387.

Thu Jul 27 18:08:47 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO_TAO.mwc
        * CIAO_TAO_DAnCE.mwc

          Replaced relative references to ACE/TAO with absolute references
          using environment variables.

Mon Jul 24 15:45:34 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Subversion conversion completed at revision 73730

Sun Jul 23 15:44:43 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Repository frozen for repository conversion

Sat Jul 22 21:34:57 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Container_Base.cpp

          Fixed a runtime Segfault bug about destroying POA.  The problem
          is because a Session_Container creates 2 POAs, one of which is called
          facet_cons_POA which uses the Servant_Activator policy to activate component
          ports (facets, consumers) on demand, then the Servant_Activator object
          was deleted when the Session_Container object is out of scope in its
          destructor. But when the ORB finally shuts itself down, it tries
          to clean all the resources including the facet_cons_POA, since the
          Servant_Activator attached to this POA is long gone, a segfault
          occurs in the cleaning up phase. The right fix is to destroy all the POAs
          associated with this Session_Container in its destructor together with the
          Servant_Activator. Thanks Phlip <phlip2005 @ gmail.com> for a
          bug report.

Thu Jul 20 22:03:31 UTC 2006  Nanbor Wang  <nanbor (at) txcorp (dot) com>

        * docs/schema/ServerResourceUsage.txt: Revised the document to
          change how a policy set should be hooked into a component
          instance.  This needs to be changed to reflect recent changed in
          DnC schema.

Thu Jul 20 01:10:58 UTC 2006  Vipul Singh  <vipuls@dre.vanderbilt.edu>

        * DAnCE/RepositoryManager/PC_Updater.cpp: Removed the variable name
          from the arguments in function definition in empty functions to
          fix warnings.

        * DAnCE/RepositoryManager/RepositoryManager_Impl.h: Changed declaration
          at a few places from const static to static const to fix a few
          warnings, also removed an unnecessarily defined namespace.

        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp: Made a few
          changes to fix the warnings and to keep the code in sync with
          the changes made to RepositoryManager_Impl.h. Fixed code which
          passed non POD types to a varargs function(ACE_DEBUG) which
          resulted in aborts at runtime.

        * DAnCE/RepositoryManager/URL_Parser.cpp: Assigned value to ptr before
          if condition to fix a few warnings.

Wed Jul 19 08:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Config_Handlers.mpc:
          Use exceptions as base project

Mon Jul 17 17:49:41 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:

          Use new ACE_CString::size_type type to hold string
          position/index value, instead of "int".  Addresses "comparison
          between signed and unsigned" warnings.

Sat Jul 15 04:21:13 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/README.txt:
          Remove this file.

        * DAnCE/RepositoryManager/README:
          Add this file.

Thu Jul 13 18:42:08 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          Fixed a minor error.

Wed Jul 12 14:00:59 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RM_Helper.cpp:
          Fixed the "comparison between signed and unsigned integer" warning.

Tue Jul 11 23:19:58 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          Fixed the "conversion from '__int64' to 'size_t', possible loss
          of data" warnings.

Sun Jul 09 06:01:14 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.5.2 released.

Wed Jul  5 15:31:18 UTC 2006  Shanshan Jiang <shanshan.jiang@vanderbilt.edu>

        * NEWS
          Updated the NEWS file to add the changes of Repoman.

Tue Jul  4 11:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Home_Servant_Impl_T.cpp:
        * ciao/Dynamic_Component_Servant_T.cpp:
        * ciao/Swapping_Servant_Home_Impl_T.cpp:
          Fixed compile problems with VxWorks 5.5.1 and GCC 2.96

Tue Jul  4 06:26:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc:
          Don't build this project in the ace_for_tao configuration

Mon Jul  3 16:20:54 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS

          Updated the NEWS file.

Tue Jun 27 13:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RM_Helper.cpp:
          Layout changes

Fri Jun 23 13:45:38 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:

          Added $(TAO_ROOT) to the 'includes' line of the executable
          project, due to a change in the way TAO/Version.h is
          included.

Thu Jun 22 18:47:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Dynamic_Component_Servant_T.cpp:
        * ciao/Dynamic_Component_Servant_T.h:
        * ciao/Swapping_Servant_Home_Impl_T.cpp:
        * ciao/Swapping_Servant_Home_Impl_T.h:

          Made changes to template code corresponding to those in

          Mon Jun 19 14:52:25 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Mon Jun 19 14:52:25 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Home_Servant_Impl_T.cpp:
        * ciao/Home_Servant_Impl_T.h:
        * ciao/Servant_Impl_T.cpp
        * ciao/Servant_Impl_T.h:

          Reduced the number of template parameters in
          the component servant and home servant template
          base classes.

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Changes to generated servant code corresponding
          the the changes in servant base class code
          described above.

Thu Jun 15 20:13:02 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/be_helper.cpp:

          Uncommented code that outputs our copyright notice. This
          change also elinates an unused arg warning for the
          copyright notice string.

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Added a newline after opening the file for better readability.

Thu Jun 15 18:37:43 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc:

          Added ciao_deployment_stub as a base project for
          CIAO_Events_Handlers, to eliminate 'unresolved symbol'
          linking errors. Thanks to Ming Xiong <ming.xiong@vanderbilt.edu>
          for suggesting the fix.

Thu Jun 15 15:10:58 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/be_extern.h:
        * tools/IDL3_to_IDL2/be_init.cpp:
        * tools/IDL3_to_IDL2/be_produce.cpp:

          Changes to keep this backend in sync with changes to the
          TAO_IDL front end - see TAO ChangeLog entry of a few
          minutes ago.

Thu Jun  8 16:07:05 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Servant_Impl_Utils_T.cpp (describe_multiplex_receptacle):

          Fixed an error in instantiation of a
          Components::ConnectionDescription valuetype - the actual
          constructor call should have been on the OBV_* subclass.

Thu Jun  8 12:29:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Planner/PCVisitor.cpp:
          Fixed parameter never used warnings

Wed Jun  7 21:39:00 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc

          Removed unneeded base projects.

Wed Jun  7 21:07:11 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Servant_Impl_Utils_T.cpp:

          Fixed CORBA memory management rule violations in
          Servant_Impl_Base static template methods
          describe_pub_event_source(), describe_simplex_receptacle() and
          describe_multiplex_receptacle(). Thanks to Phlip
          <phlip2005@gmail.com> for reporting a problem in
          get_all_receptacles() that uncovered the above violations.

Wed Jun  7 16:52:45 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        *  tools/Config_Handlers/Config_Handlers.mpc

           Fix for linking error in Visual Studio.

Wed Jun  7 06:04:45 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIDLC/ExecutorMappingGenerator.cpp

          Modified to generate an include of CCM_Container.idl.

        * ciao/Components.idl
        * ciao/ComponentsC.h
        * ciao/ComponentsS.h

          Changed Components.idl to include CCM_Component.idl instead of
          CCM_Container.idl.  This removes a dependancy on the container
          library for stub projects.

          Note this commit may be rolled back later based on discussions
          on the dance-dev list, I am making it preemptively to resolve
          scoreboard problems.

Tue Jun  6 20:32:53 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/Property_Handler.h

          Compile fixes for Borland.

        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/XMLSchema/Writer.hpp

          Fixes for Borland ICEs.

Tue Jun  6 13:48:59 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers_Common_Export.h

          Missing file from previous commit.

Mon Jun  5 20:34:51 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/TargetManager/TM_Client.mpc
        * RACE/Controller/Component/Controller.mpc
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.mpc
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc
        * examples/BasicSP/BasicSP.mpc
        * examples/BasicSP/BMClosedED/BMClosedED.mpc
        * examples/BasicSP/BMDevice/BMDevice.mpc
        * examples/BasicSP/BMDisplay/BMDisplay.mpc
        * examples/BasicSP/EC/EC.mpc
        * examples/Display/Display_Base/Display_Base.mpc
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc
        * examples/Hello/Hello_Base/Hello_Base.mpc
        * examples/Hello/Receiver/Receiver.mpc
        * examples/Hello/Sender/Sender.mpc
        * examples/Swapping/Hello_Base/Hello_Base.mpc
        * examples/Swapping/Receiver/Receiver.mpc
        * examples/Swapping/Sender/Sender.mpc
        * performance-tests/Protocols/common/Protocols.mpc
        * tests/Bug_2130_Regression/interfaces/ENW.mpc
        * tests/CIDL/CodeGen/CodeGen.mpc
        * tests/IDL3/Components/ComplexComponent/Attributes/Attributes.mpc
        * tests/IDL3/Components/ComplexComponent/EventSink/EventSink.mpc
        * tests/IDL3/Components/ComplexComponent/EventSource/EventSource.mpc
        * tests/IDL3/Components/ComplexComponent/Facets/Facets.mpc
        * tests/IDL3/Components/ComplexComponent/Receptacles/Receptacles.mpc
        * tests/IDL3/Components/SimpleComponent/SimpleComponent.mpc
        * tests/IDL3/Events/Abstract/Abstract.mpc
        * tests/IDL3/Events/Regular/Regular.mpc
        * tests/IDL3/Homes/Attributes/HomeAttributes.mpc
        * tests/IDL3/Homes/Basic/Basic.mpc
        * tests/IDL3/Homes/Factory/Factory.mpc
        * tests/IDL3/Homes/Finder/Finder.mpc
        * tests/IDL3/Homes/Inheritance/Inheritance.mpc
        * tests/IDL3/ImpliedIDL/Components/Basic/ICBasic.mpc
        * tests/IDL3/ImpliedIDL/Components/EventSink/ICEventSink.mpc
        * tests/IDL3/ImpliedIDL/Components/EventSource/ICEventSource.mpc
        * tests/IDL3/ImpliedIDL/Components/Receptacles/ICReceptacles.mpc
        * tests/IDL3/ImpliedIDL/Events/Events.mpc
        * tests/IDL3/ImpliedIDL/Homes/Homes.mpc
        * tests/IDL3/Lookup/lookup_test.mpc
        * tests/Minimum/Minimum_Base/Minimum.mpc
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc

          Fixes for linking errors/warnings in OS X.

        * tools/Config_Handlers/Any_Handler.h
        * tools/Config_Handlers/CEPE_Handler.h
        * tools/Config_Handlers/CPD_Handler.h
        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/DataType_Handler.h
        * tools/Config_Handlers/ERE_Handler.h
        * tools/Config_Handlers/Req_Handler.h
        * tools/Config_Handlers/SatisfierProperty_Handler.h

          Factored certain elements used by both the deployment
          and packaging handlers into a seperate library, also
          fixes for linking errors in OS X.

Fri Jun  2 18:55:41 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TM_Client.mpc:

          Shortened long lines.

Fri Jun  2 12:17:12 UTC 2006    Johnny Willemsen  <jwillemsen@remedy.nl>

        * rules.ciao.GNU:
          Added setting of TAO_IDL3_TO_IDL2 and TAO_IDL3_TO_IDL2_DEP when
          they are not set, needed for cross compilation

Thu Jun  1 21:23:51 UTC 2006    <ming.xiong@vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl
          Changed the codes so that it will correctly destroy all
          running processes upon failure.

Thu Jun  1 16:03:26 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/Planner/Planner.cpp:

          Added global qualifier (double colon) to the specialization
          and typedef of the planner's Node class, to avoid an
          'ambiguous symbol' error in VC8, which is presumably confusing
          it with Deployment::Node.

Thu Jun  1 15:49:47 UTC 2006  jiang,shanshan <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Planner/Node_T.h
        * DAnCE/Planner/Planner.cpp

          Modified some minor errors.

Thu Jun  1 12:55:07 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Display/NavDisplay/NavDisplay.mpc:

          Fixed typo.

Wed May 31 18:46:37 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Display/NavDisplay/NavDisplay.mpc:

          Added 'libs += Display_Base_stub' to the
          Display_Base_NaviDisplay_stub project so that VC8, with its
          parallel builds, will know about the dependency that VC7.1
          seems to get from the 'after' line.

Wed May 31 18:17:11 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/TargetManager/TM_Client.mpc:

          Cosmetic changes.

Wed May 31 17:08:17 UTC 2006  jiang,shanshan <shanshan.jiang@vanderbilt.edu>

        * DAnCE/Planner/Planner.mpc
        * DAnCE/Planner/Planner.cpp

          Removed the generated file of Repoman (RepositoryManagerDaemonC.*)
          included in the Planner project and use the RepositoryManagerC.*.

Wed May 31 16:49:12 UTC 2006  jiang,shanshan <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp

          Made some minor changes.

Tue May 30 10:08:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/MonitorController.cpp:
          Fixed typo

Tue May 30 06:16:58 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * tools/Config_Handlers/XSCRT/Elements.hpp:

          Added a fix for Sun C++ <= 5.7 template instantiation issue.

Tue May 30 00:00:22 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/Planner/Node_T.h:
        * DAnCE/Planner/Node_T.inl:
        * DAnCE/Planner/Node_T.cpp:
        * DAnCE/Planner/PCVisitor.h:
        * DAnCE/Planner/PCVisitor.cpp:
        * DAnCE/Planner/PCVisitorBase.h:
        * DAnCE/Planner/PCVisitorBase.inl:
        * DAnCE/Planner/PCVisitorBase.cpp:
        * DAnCE/Planner/Planner.mpc:
        * DAnCE/Planner/Planner.cpp:

          Checking in the Planner for DAnCE which creates a Deployment
          Plan on the fly (in-memory).

        * RACE/Input_Adapters/LocationUpdater/Injector.cpp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.cdp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.cidl:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater.idl:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_deployment.dat:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec.cpp:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_exec_export.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_stub_export.h:
        * RACE/Input_Adapters/LocationUpdater/LocationUpdater_svnt_export.h:
        * RACE/Input_Adapters/LocationUpdater/Location_Updater.mpc.disable:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.h:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.inl:
        * RACE/Input_Adapters/LocationUpdater/PCVisitorBase.cpp:
        * RACE/Input_Adapters/LocationUpdater/PlanUpdater.h:
        * RACE/Input_Adapters/LocationUpdater/PlanUpdater.cpp:
        * RACE/Input_Adapters/LocationUpdater/README.txt:

          Adding the LocationUpdater which is a RACE input adapter which
          updates the locations of the implementation artifact to reclect
          the ones available in the RepositoryManager. Please see the README
          and the code for more info.

        * RACE/Input_Adapters/PlanGenerator/Injector.cpp:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.h:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.inl:
        * RACE/Input_Adapters/PlanGenerator/PCVisitorBase.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cdp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cidl:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.idl:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator.mpc.disable:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_deployment.dat:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec.cpp:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_exec_export.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_stub_export.h:
        * RACE/Input_Adapters/PlanGenerator/PlanGenerator_svnt_export.h:
        * RACE/Input_Adapters/PlanGenerator/README.txt:

          Adding the PlanGenerator which is a RACE input adapter which queries
          the RepositoryManager for an installation name, retrieves the corresponding
          PackageConfiguration, and builds the DeploymentPlan on the fly. Please see
          the README and the code for more info.

Mon May 29 21:58:18 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:

          Got rid of the code that updates the loader path for the
          libraries downloaded via HTTP. Now this has to be done
          manually.

        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/README.txt:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:

          Changing the way library names are matched to be more general.
          Some additions to the README
          A minor change to one of the functions

Mon May 29 19:07:54 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/NodeApplication/Configurator_Factory.cpp:
        * DAnCE/NodeManager/MonitorController.cpp:
        * examples/Swapping/Sender/Sender_exec.cpp:

          Changed C-style casts from void* to pointer-to-function
          to two-step reinterpret_cast<>s, with ptrdiff_t as a
          temporary intermediate. C++ forbids casting directly
          between pointer-to-object and pointer-to-function, and
          some the newer compilers are catching it.

Mon May 29 17:44:01 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Display/Display_Base/Display_Base.mpc:

          Changed the base project of Display_Base_stub from
          ciao_client_dnc to ciao_events_base_dnc, in order to pull
          in a needed dependency on CIAO_DnC_Container. Thanks to
          Ming Xiong <mxiong@dre.vanderbilt.edu> for supplying the
          fix.

Mon May 29 15:32:38 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Display/NavDisplay/NavDisplay.mpc:

          Cosmetic changes (shortened long lines).

        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc:

          Changed 'after +=' and 'libs +=' lines to reflect recent
          changes to other examples/Display projects.

Fri May 26 13:57:38 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/RepositoryManager/RMAdmin.cpp(ACE_TMAIN):

          Fixed unused variable warning, cosmetic changes.

Fri May 26 12:59:03 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * DAnCE/NodeManager/NAM_Map.cpp:
          Make the equality test explicit to work with the revised octet
          sequence implementation.

Thu May 25 19:02:52 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Container_Base.cpp(ciao_install_home):

          Changed the single-step reinterpret_cast of the component
          DLL entry points to be a two-step process: first to the
          integer type 'ptrdiff_t' then to the desired pointer-to-
          function type. A single cast won't work because casting
          from pointer-to-object (even void*) to pointer-to-function
          directly is not allowed in C++.

Thu May 25 11:50:39 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>

        * ciao/Container_Base.cpp:
          Replace the use of static_cast in ciao_install_home with
          reinterpret_cast since void* sources are involved.

Wed May 24 17:35:53 UTC 2006  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * examples/Display/RateGen/RateGen.mpc: Fixed the project
          dependency for controller.

Tue May 23 22:46:58 UTC 2006  jiang,shanshan <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/Options.cpp
        * DAnCE/RepositoryManager/Options.h
        * DAnCE/RepositoryManager/RMadmin.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/RepositoryManager.cpp

          Added the code to save the state of the RepoMan at exit and
          load the state of it at start.

Tue May 23 14:31:11 UTC 2006  jiang,shanshan <shanshan.jiang@vanderbilt.edu>

        * DAnCE/RepositoryManager/Options.cpp
        * DAnCE/RepositoryManager/Options.h
        * DAnCE/RepositoryManager/RMadmin.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/RepositoryManager.cpp

          Added the naming service & the implementation of createPackage
          function to RepoMan.

Mon May 22 18:49:14 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Container_Base.cpp(ciao_install_home):

          Changed C-style casts of DLL entrypoints to static_cast<>s
          to the appropriate pointer to function. This change is
          intended to eliminate warnings from gcc 4.0.

Fri May 19 16:49:32 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/NodeApplicationManager/URL_Parser.cpp:
        * DAnCE/NodeManager/Node_Manager.cpp:

          Minor changes to eliminate scoreboard warnings, and to bring
          code in line with the ACE style guidelines.

Thu May 18 20:28:00 UTC 2006 Roopa Pundaleeka <roopa@txcorp.com>

        * examples/Display/GPS/GPS_Impl.ccd:
        * examples/Display/NavDisplay/NavDisplay_Impl.ccd:
        * examples/Display/RateGen/RateGen_Impl.ccd:

        Removed these generated files from CVS.

Thu May 18 11:28:52 UTC 2006  Phil Mesnier  <mesnier_p@ociweb.com>


        * examples/Display/Display_Base/GNUmakefile:
        * examples/Display/Display_Base/GNUmakefile.Display_Base_stub:
        * examples/Display/Display_Base/GNUmakefile.Display_Base_svnt:

          Removed these files from CVS.

Wed May 17 21:20:46 UTC 2006 Roopa Pundaleeka <roopa@txcorp.com>

        * TAO/CIAO/examples/Display:
          Ported the Display example to use the new CIAO framework


Tue May 16 12:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * README:
          Removed mentioning of vc6

Mon May 15 20:48:52 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp (generate):

          Removed commented-out code.

        * CIDLC/ServantHeaderGenerator.cpp (generate_facets):

          Fixed cut-and-paste error that was causing facet servant
          class declaration to get skipped when the composition is
          defined inside one or more IDL modules.

Fri May 12 07:36:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Utils/Functors.h:
          Added a workaround for specific for BCB6, should fix the gcc4
          internal compiler errors

Fri May 12 07:29:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          The work around is needed for < gcc 3.3 and also BCB6, so make
          it a little bit more easier to handle this.

Thu May 11 21:24:45 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.hpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/ServantSourceGenerator.hpp:
        * CIDLC/UtilityTypeNameEmitters.cpp:
        * CIDLC/UtilityTypeNameEmitters.hpp:

          Change code generation for facet servant classes to be
          defined in a special namespace created from a prefix
          and a flattened version of the name of the scope
          containing the interface that supports the facet. This
          change enables facets in the same translation unit
          using the same interface to use a single source code
          definition (an internal check in the CIDL compiler
          guarantees that the facet servant class is generated
          once per interface per translation unit). The fact
          that the actual facet servant class type is an instantiation
          of a template class ensures that the same interface type
          used as a facet in multiple translation units in a build
          will not produce multiple-definition link errors,
          although in this case there will be duplicated code.
          Thanks to James Hill <j.hill@vanderbilt.edu> for providing
          the multiple-facet-single-translation-unit use case
          and to Nanbor Wang <nanbor@txcorp.com> for his comments
          on the proposed solution.

Wed May 10 14:04:57 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorCB.cpp
        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/TargetManager/DomainDataManager.cpp

        Fixes for warnings.

Mon May  8 20:41:43 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * bin/PerlCIAO/perlciao.mpc:

        Fixing a fuzz build error due to a missing Id tag

Mon May  8 15:33:58 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/RepositoryManager/HTTP_Client.h:
        * DAnCE/RepositoryManager/HTTP_Client.cpp:
        * DAnCE/RepositoryManager/HTTP_Handler.h:
        * DAnCE/RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/RepositoryManager/Options.h:
        * DAnCE/RepositoryManager/Options.cpp:
        * DAnCE/RepositoryManager/PC_Updater.h:
        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/PC_Updater_T.h:
        * DAnCE/RepositoryManager/PC_Updater_T.cpp:
        * DAnCE/RepositoryManager/README.txt:
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/RepositoryManager.cpp:
        * DAnCE/RepositoryManager/RepositoryManagerDaemon.idl:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/URL_Parser.h:
        * DAnCE/RepositoryManager/URL_Parser.cpp:
        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:

        Updating the RepositoryManager with the latest changes from the
        escher repository. Adding my newest changes. Adding some new
        minor features.

        * bin/PerlCIAO/TestUtils.base:
        * bin/PerlCIAO/TestUtils.pm:
        * bin/PerlCIAO/TestUtils_Base.pm:
        * bin/PerlCIAO/generate_container.pl:
        * bin/PerlCIAO/perlciao.mpc:

        This is a set of test utilities tailored towards testing CIAO components.
        It provides a nice and quick interface provising the common functionality
        necessary to run a CIAO test and perform clean-up on failure. This utils
        are a wrapper around the $ACE_ROOT/bin/PerlACE/ utilities. I will check in
        an example of how test utils are used shortly.

        * tools/Config_Handlers/IDD_Handler.cpp:

        Fixing a bug in the PackageConfiguration reverse handler.


Fri May  5 15:36:47 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * docs/cidlc.html Added documentation for the CIDL compiler.
          Thanks to Boris for contributing this.

        * docs/index.html: Fixed some broken links to the tutorials and added
          a link to Ming's tutorial example that shows how to use CoSMIC.

Fri May  5 16:58:17 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp (CIAO): Fixed the
          parsing of command line options.

Thu May  4 21:35:01 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/DP_Handler.cpp

        Fixed a reverse handler bug.

Thu May  4 08:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/PC_Updater.cpp:
          Fixed compilation error

Wed May  3 22:11:32 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/ccd.xsd
        * docs/schema/cdd.xsd
        * docs/schema/cdp.xsd
        * docs/schema/cid.xsd
        * docs/schema/cpd.xsd
        * docs/schema/iad.xsd
        * docs/schema/pcd.xsd
        * docs/schema/toplevel.xsd

          Schema propagated from the ARMS repo.

Wed May  3 12:53:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Config_Handlers/Utils/Functors.h:
          Made the FUNC argument just return void, this fixes the errors with this
          template with BCB on my system, hopefully it doesn't break other
          compilers

Tue May  2 03:04:50 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.cpp:  Removed the code
          snippet that bootstraps the NodeApplication process at a
          specific OS priority.

Wed Apr 26 21:25:26 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/Property_Handler.h
        * tools/Config_Handlers/SatisfierProperty_Handler.h
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * tools/Config_Handlers/Utils/Functors.h

          Introduced a workaround for a ICE in GCC 4.0.22.

Wed Apr 26 13:10:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/XML_File_Intf.cpp:
        * tools/Config_Handlers/Package_Handlers/PC_Intf.cpp:
        * tools/Config_Handlers/XSCRT/XMLSchema.hpp:
        * tools/Config_Handlers/XSCRT/Elements.hpp:
        * tools/Config_Handlers/XSCRT/XML.hpp:
          Removed workarounds for vc6 again

        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h:
          Added missing post.h

        * tools/Config_Handlers/Package_Handlers/CPD_Handler.h:
        * tools/Config_Handlers/Package_Handlers/PC_Intf.h:
          Fixed incorrect file tags

Wed Apr 26 08:46:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/DomainDataManager.h:
          Fixed compile problem in gcc4 build

Tue Apr 25 21:27:05 UTC 2006  William R. Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.mpc

          Linking problems for Borland.

        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp

          More compile fixes for Borland.
Tue Apr 25 20:12:25 UTC 2006  William R. Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * ciao/Deployment_Core.idl
        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/CCD_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.h
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/CPD_Handler.h
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ERE_Handler.cpp
        * tools/Config_Handlers/ERE_Handler.h
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/PCD_Handler.h
        * tools/Config_Handlers/Property_Handler.cpp
        * tools/Config_Handlers/Property_Handler.h
        * tools/Config_Handlers/Req_Handler.cpp
        * tools/Config_Handlers/Req_Handler.h
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp
        * tools/Config_Handlers/SatisfierProperty_Handler.h
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/toplevel.hpp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.h
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.h

        Compilation fixes for borland, some cosmetic fixes as well.

Tue Apr 25 09:00:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/CPD_Handler.h:
          ComponentPortDescription is a struct, so also forward declare it
          as a struct

Mon Apr 24 18:53:22 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp

          Fixed a code generation problem caused by careless merging.

Mon Apr 24 18:40:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/ADD_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/ID_Handler.h:
          Removed incorrect semi colons

Mon Apr 24 06:33:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/IDREF_Base.cpp:
          Removed not needed semi colon that caused compile errors in some
          builds

Sun Apr 23 11:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Utils/XML_Helper.h:
          Fixed compile error

Sat Apr 22 21:13:10 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.hpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Compile errors.

Fri Apr 21 16:24:46 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * Merge from the ARMS Escher repository.

          Changelog entries to follow:

   Tue Apr 11 09:29:12 UTC 2006    <wotte@blade35.isislab.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeManager/Node_Manager.cpp

        Additional debugging/compile fixes.

  Tue Apr 11 08:30:42 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Deployment_Core.idl
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h

          Modified to passivate (and reactivate later) shared components
          when tearing down an assembly.

  Sun Apr  9 01:03:19 UTC 2006    <wotte@blade35.isislab.vanderbilt.edu>

        * M APRIL_DEMO.mwc
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeManager/MonitorCB.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/Node_Manager.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp

          Various compile/runtime fixes.

  Fri Apr  7 15:47:34 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified to enforce passivation occured on all components
          before any connections are removed.

  Fri Apr  7 03:28:03 UTC 2006  Edward R. Mulholland  <emulholl@atl.lmco.com>

        * tools/Config_Handlers/Utils/XML_Helper.cpp:

          Replaced "throw;" (which Stroustrup tells us causes an abort)
          with "throw 0;" (kind of like an unnamed exception, which is
          clearly what the author of this code intended).

        * ciao/Packaging_Data.idl:

          I've had occasion to use this file with the IFR Service, and
          I've found that the IFR Service backend chokes on a bunch of
          stuff here.  The stuff that it chokes on has been protected with
          "#ifndef AVOID_IFR_CRASH" so that you can protect the backend
          from crashing if you pass -DAVOID_IFR_CRASH to tao_ifr.

        * ciao/Servant_Impl_Base.cpp:
        * ciao/Servant_Impl_Base.h:

          Implemented the add_receptacle operation.

  Fri Apr  7 02:55:37 UTC 2006  Edward R. Mulholland  <emulholl@atl.lmco.com>

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:

          Added ACE_CATCHANY and ACE_CATCHALL blocks in
          Plan_Launcher_i::launch_plan to avoid crashing in case of CORBA
          fault.

  Fri Apr  7 02:54:29 UTC 2006  Edward R. Mulholland  <emulholl@atl.lmco.com>

        * DAnCE/NodeApplication/Configurator_Factory.cpp:

          Options beginning with "-ORB" are explicitly ignored.  This
          avoids having an "-ORB" option mistakenly parsed as being a
          "-o <ior_output_file>" option.

  Fri Apr  7 02:51:31 UTC 2006  Edward R. Mulholland  <emulholl@atl.lmco.com>

        * CIDLC/ServantSourceGenerator.cpp:

        Added code to support "get_all_receptacles" operation.

  Fri Apr  7 02:47:02 UTC 2006  Edward R. Mulholland  <emulholl@atl.lmco.com>

        * CCF/CCF/IDL2/SemanticGraph/Enum.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Enum.cpp:

        Made a couple small changes that keep the CIDLC from coughing on
        enums

  Fri Apr  7 02:37:34 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h

          Fixed a bug in detecting External connection and Internal
          connections. Earlier when an external component is detected,
          not *all* connections associated with this components are
          purged from the to-be-removed connections list. Added another
          helper method <purge_connections> to accomplish this task.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

          Modified to reuse rebind() instead of bind() to avoid
          redeployment duplicate instance errors.

  Thu Apr  6 15:02:59 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.cpp:

        Modified the NodeApplications to up at OS priority 20 instead of
        50.

  Thu Apr  6 00:35:35 UTC 2006  Nilabja Roy  <roy_n@dre.vanderbilt.edu>

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:

        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/TargetManager_exec.cpp:

          Fixed the TM component removal problem. Changed/Removed
          debug messages.

  Wed Apr  5 16:54:20 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Any_Handler.cpp
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h

          Improvements to output more information in the reverse handler.


  Thu Mar 30 22:10:53 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * ciao/Home_Servant_Impl_T.cpp
        * ciao/Servant_Activator.cpp
        * tools/Config_Handlers/DD_Handler.cpp
        * tools/Config_Handlers/IDREF_Base.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp

        Disabled excessive debugging.

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

        Disabled RT-CCM support.

        * DAnCE/TargetManager/DomainDataManager.cpp

        Added error messages.

  Wed Mar 29 21:34:07 UTC 2006  Nilabja Roy  <roy_n@dre.vanderbilt.edu>

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
          Fixed a Access Error in the monitor.

        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Added to have graceful termination.

        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Update to turn off monitors at the end.

  Mon Mar 27 22:39:25 UTC 2006  William R. Otte    <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/XML_Helper.cpp
        * tools/Config_Handlers/Utils/XML_Helper.h

  Mon Mar 27 20:10:09 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp
          (get_node_manager):

          Modified this method to re-throw the caught exception.

  Sun Mar 26 22:10:16 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:

        Added code to handle exceptions while trying to connect to the
        node managers in get_node_manager ().

        * DAnCE/TargetManager/DomainDataManager.cpp:

        Added debug messages.

        * RACE/Controller/Component/RACE_common.h:

        Added a new file to define the RACE_DEBUG and RACE_ERROR macros.

  Mon Mar 27 00:22:02 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified to allow ccm_passicate to be called on all components
          before actually deactivating any components.

  Thu Mar 23 23:18:56 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.cpp (svc):

        Removed an unwanted debug statement.

  Thu Mar 23 22:54:25 UTC 2006  Nishanth Shankarn  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

        Removed an unwanted debug statement.

  Thu Mar 23 19:40:54 UTC 2006  Nishanth Shankarn  <nshankar@dre.vanderbilt.edu>

        * APRIL_DEMO.mwc:
        * CIAO.mwc:
        * CIAODAnCE.mwc:
        * CIAOTAO.mwc:
        * CIAO_TAO_DAnCE.mwc:

        Modified the mwc files so that they exclude the RACE/hog_string
        directory.

  Thu Mar 23 18:04:58 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

        Fixed a bug in set_priority method.

  Wed Mar 22 19:32:37 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

        Modified to make debug statements debug_level controlled.

  Wed Mar 22 00:51:11 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager_Impl.cpp

        Modified to find the corresponding NAM when given a plan_uuid.

  Wed Mar 22 02:12:58 UTC 2006  Nilabja Roy  <roy_n@dre.vanderbilt.edu>

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.cpp:

        Removed some of the debug statements

  Tue Mar 21 19:12:57 UTC 2006  Nishanth Shankarn  <nshankar@dre.vanderbilt.edu>

        * RACE/hog_string/hog.cdp:

        Fixed the plan id.

  Mon Mar 20 21:07:50 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:

          turning off the HTTP capability for Linux until I figure out why
          it affects the loading of libraries.

  Mon Mar 20 20:40:37 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:

          Changed loader path delimiter on Unix-like systems from ';' to ':'


  Mon Mar 20 17:22:22 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/HTTP_Client.h:
        * DAnCE/NodeApplicationManager/HTTP_Client.cpp:
        * DAnCE/NodeApplicationManager/HTTP_Handler.h:
        * DAnCE/NodeApplicationManager/HTTP_Handler.cpp:
        * DAnCE/NodeApplicationManager/URL_Parser.h:
        * DAnCE/NodeApplicationManager/URL_Parser.cpp:

          Oops. Forgot to add the actual HTTP code.

  Mon Mar 20 04:27:48 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.h:
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:

          Adding HTTP capability to DAnCE.

        * DAnCE/RepositoryManager/HTTP_Client.h:
        * DAnCE/RepositoryManager/HTTP_Client.cpp:
        * DAnCE/RepositoryManager/HTTP_Handler.h:
        * DAnCE/RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/RepositoryManager/Options.h:
        * DAnCE/RepositoryManager/Options.cpp:
        * DAnCE/RepositoryManager/PC_Updater.h:
        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/PC_Updater_T.h:
        * DAnCE/RepositoryManager/PC_Updater_T.cpp:
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/RepositoryManager.mpc:
        * DAnCE/RepositoryManager/RepositoryManager.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/URL_Parser.h:
        * DAnCE/RepositoryManager/URL_Parser.cpp:
        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:

          Porting the RepositoryManager to the newest XML config handlers.
          Also migrating the code from the DOC repository to ensure the gap
          between the code in this repository and that in cvs.doc.wustl.edu
          repo is closed.


          NOTE: I still have some testing left, but before that I need to
          compile the CoSMIC version from this repository and regenerate
          a bunch of descriptors because all the example descriptors are
          broken.

  Sat Mar 18 22:33:10 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Interfaces/NodeManager.idl
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * ciao/Deployment.idl

          Put the struct Sched_Params definition outside of the NAM
          interface.
          Cleaned up the code a bit.

  Sun Mar 19 16:52:54 UTC 2006  Nilabja Roy  <roy_n@dre.vanderbilt.edu>

        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Updated to implement the commitResource and releaseResource
          function

  Sat Mar 18 19:01:18 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.cpp:

        Enhanced the NodeApplication to run in realtime priority mode.

  Fri Mar 17 06:36:18 UTC 2006  Nilabja Roy  <roy_n@dre.vanderbilt.edu>

        * DAnCE/Interfaces/NodeManager.idl:

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/NodeManager/MonitorController.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * ciao/Deployment.idl:

          Implemented the set_priority method on the NodeManager
          and NodeApplicationManager interface. Removed some of the debug
          messages

  Thu Mar 16 03:54:39 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * tools/Config_Handlers/DD_Handler.cpp:
          Updated the handler to handle optional parameters

  Tue Mar 14 07:01:28 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.h:
          Updated to make it portable in windows

        * DAnCE/TargetManager/descriptors/flattened_deploymentplan.cdp:
          Fixed the entry point.

  Mon Mar 13 23:04:32 UTC 2006    <wotte@mako.isislab.vanderbilt.edu>

        * tools/Config_Handlers/CPD_Handler.h
        * tools/Config_Handlers/DataType_Handler.h
        * tools/Config_Handlers/ID_Handler.h
        * tools/Config_Handlers/Property_Handler.h
        * tools/Config_Handlers/Req_Handler.h
        * tools/Config_Handlers/SatisfierProperty_Handler.h
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.h
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * tools/Config_Handlers/Package_Handlers/SID_Handler.h
        * tools/Config_Handlers/Utils/XercesString.h

          Fixed linking/warnings on Windows.

  Mon Mar 13 18:27:27 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.mpc:
          Changed the projects to depend on NodeManager_Stub. This will fix the
          linking errors in Windows.

  Mon Mar 13 17:36:28 UTC 2006  Krishnakumar B  <kitty@dre.vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp (namespace): Updated the
          generated code to set the component id on the component context
          class to allow retrieving the id at run-time from an executor
          implementation.

  Mon Mar 13 17:28:44 UTC 2006    <wotte@mako.isislab.vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp

          Fixes for nameservice discovery of EM.

        * docs/schema/toplevel.xsd

          Minor correction to schema.

  Fri Mar 10 17:03:26 UTC 2006    <wotte@mako.isislab.vanderbilt.edu>

        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp

          Fixed minor bug in URI interface.

  Thu Mar  9 22:26:17 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Context_Impl_Base.cpp:
        * ciao/Context_Impl_Base.h:

          Added CORBA::String_var member to store the component instance
          id, also added a pair of set/get methods called _ciao_instance_id.

  Wed Mar  8 19:07:31 UTC 2006    <wotte@mako.isislab.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp

          Add error message for connection failure.

        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc

          Disabled this project.

        * DAnCE/TargetManager/TargetManager_exec.cpp
        * DAnCE/TargetManager/TargetManager_exec.h

          Fix entry point problems.

  Wed Mar  8 19:29:20 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/TargetManagerExt.idl:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Added the structure in the TMExt interface to maintain the
          mapping between hostname to NM refs.

  Wed Mar  8 14:40:41 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools//Config_Handlers/Deployment.cpp
        * tools//Config_Handlers/Deployment.hpp
        * tools//Config_Handlers/GNUmakefile
        * tools//Config_Handlers/cdd.cpp
        * tools//Config_Handlers/cdd.hpp
        * tools//Config_Handlers/pcd.cpp
        * tools//Config_Handlers/pcd.hpp
        * tools//Config_Handlers/toplevel.cpp
        * tools//Config_Handlers/toplevel.hpp
        * tools//Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools//Config_Handlers/Package_Handlers/PCD_Handler.h

        New generated code.

  Wed Mar  8 03:11:02 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Implement the Signal Handler for the process NodeManager. And
          set the option avoid_zombies=0


        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/NodeManager/MonitorController.cpp:

        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Implement ComponentID to Process Id mapping

  Tue Mar  7 23:26:41 UTC 2006  Nilabja Roy  <nilabjar@localhost.localdomain>

        * DAnCE/TargetManager/DomainDataManager.cpp
        * DAnCE/TargetManager/TargetManagerExt.idl
        * DAnCE/TargetManager/TargetManager.mpc:
        Changed to depend on the NodeManager_Stub, so that
        CIAO::NodeManager can be used.

  Tue Mar  7 03:14:50 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Changed to add the Comp_id to Proc_id mapping

        * DAnCE/NodeManager/CIAO_Monitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.cpp:
          Changed to add the percentage cpu same as vmstat

        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/NodeManager/MonitorController.cpp:
          Changed to add the Comp_id to Proc_id mapping

        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Changed to add the Comp_id to Proc_id mapping

        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
          Changed to add interface to RACE

        * DAnCE/TargetManager/TargetManagerExt.idl:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Changed to add interface to RACE

        * DAnCE/TargetManager/descriptors/Domain.cdd:
          Updated to the latest xsd


        * docs/schema/cdd.xsd:
          Changed the Domain definations

  Mon Mar  6 19:46:54 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/Interfaces/NodeManager.idl
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp:

        Added the set_priority method to modify the priority of
        NodeApplication process.

  Wed Mar  1 20:56:16 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager_exec.h
        * DAnCE/TargetManager/TargetManager_exec.cpp
        * DAnCE/TargetManager/TargetManagerExt.idl:

        Added method to TargetManagerExt interface to obtain references to
        the NodeManagers.


  Fri Feb 24 22:55:51 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/CEPE_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.h
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/CPD_Handler.h
        * tools/Config_Handlers/CRDD_Handler.cpp
        * tools/Config_Handlers/ComponentPropertyDescription_Handler.cpp
        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/DP_Handler.h
        * tools/Config_Handlers/DataType_Handler.cpp
        * tools/Config_Handlers/DataType_Handler.h
        * tools/Config_Handlers/DnC_Dump.cpp
        * tools/Config_Handlers/ERE_Handler.h
        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/IDREF_Base.cpp
        * tools/Config_Handlers/IDREF_Base.h
        * tools/Config_Handlers/ID_Handler.cpp
        * tools/Config_Handlers/ID_Handler.h
        * tools/Config_Handlers/IRDD_Handler.cpp
        * tools/Config_Handlers/IRDD_Handler.h
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/Property_Handler.h
        * tools/Config_Handlers/RDD_Handler.cpp
        * tools/Config_Handlers/Req_Handler.cpp
        * tools/Config_Handlers/Req_Handler.h
        * tools/Config_Handlers/STD_PCD_Handler.h
        * tools/Config_Handlers/ccd.cpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cid.cpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.cpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.cpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.cpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/test.cdp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.h
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CID_Handler.h
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.h
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.h
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.h
        * tools/Config_Handlers/Package_Handlers/PC_Intf.cpp
        * tools/Config_Handlers/Package_Handlers/PC_Intf.h
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * tools/Config_Handlers/Package_Handlers/Packaging_Handlers_Export.h
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp
        * tools/Config_Handlers/Package_Handlers/SID_Handler.h
        * tools/Config_Handlers/Package_Handlers/test.cpp
        * tools/Config_Handlers/Package_Handlers/descriptors/package.tpd
        * tools/Config_Handlers/Utils/Exceptions.h
        * tools/Config_Handlers/Utils/Functors.h
        * tools/Config_Handlers/Utils/XML_Error_Handler.cpp
        * tools/Config_Handlers/Utils/XML_Helper.h
        * tools/Config_Handlers/XMLSchema/Writer.hpp

          Package handlers and changes necessary to support them.

Fri Apr 21 08:13:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/ServantSourceGenerator.cpp:
          Removed usage of ACE_NESTED_CLASS

        * DAnCE/RepositoryManager/PC_Updater.cpp:
          Fixed compile errors

Thu Apr 20 13:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/DnC_Dump.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
          Fixed compile error

Thu Apr 20 09:14:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/RT-CCM/CLA_Handler.cpp:
          Fixed compile error

Wed Apr 19 19:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Fixed usage of sequences. The sequences now return
          a pointer on the subscript operators, not _var which was not according
          to the spec.

Wed Apr 19 14:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XMLSchema/Types.hpp:
          Removed vc6 workaround

Wed Apr 19 13:43:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/schema/xsc-banner.h:
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp:
          Removed include of vc6-4786.h

Wed Apr 19 13:39:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/STD_PC_Intf.cpp:
        * tools/Config_Handlers/XSCRT/XMLSchema.hpp:
        * tools/Config_Handlers/XSCRT/Elements.hpp:
        * tools/Config_Handlers/XSCRT/XML.hpp:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.cpp:
          Removed vc6 workarounds

Wed Apr 19 11:23:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/DnC_Dump.{h,cpp}:
          Updated for string manager change in TAO

        * ciao/Servant_Impl_Base.cpp:
          Updated for sequence change

Wed Apr 19 07:48:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.hpp
          Removed vc6 workarounds

        * tools/Config_Handlers/vc6-4786.h
          Removed

Tue Apr 18 20:55:05 2006  Wallace Zhang  <zhangw@ociweb.com>

        * CIAO version 0.5.1 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
